---
title: Ansible Wiki HaProxy Custom Blacklists
tags:
- ansible
---
This Ansible suite comes with some default blacklists by default. However, in some circumstances it may be required to quickly add a couple of entries to those blackliste and you quickly want to rol them out.

For this you can create/edit the file `/etc/ansible/facts.d/blacklist.fact` with this json content:

```json
{
  "agent": [],
  "ip": [
    "212.34.56.78",
    "198.11.149.0/24"
  ],
  "referer": []
}
```

So for each of the 3 supported blacklists you can provide an array with strings that will be looked up for each request.

With the following command you can roll out those changes:

```
ascr haproxy-blacklists
```
